%if 0%{?fedora}
%global with_python3 1
%endif

%global modname zc.customdoctests

Name:               python-zc-customdoctests
Version:            1.0.1
Release:            14%{?dist}
Summary:            Use doctest with other languages
Group:              Development/Libraries
License:            ZPLv2.1
URL:                http://pypi.python.org/pypi/zc.customdoctests
Source0:            http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.zip

BuildArch:          noarch


BuildRequires:      python2-devel
BuildRequires:      python-setuptools

%if 0%{?rhel}
# No tests on rhel
%else
BuildRequires:      python-zope-testing
BuildRequires:      python-manuel
BuildRequires:      python-six
%endif

%if 0%{?with_python3}
BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-zope-testing
BuildRequires:      python3-manuel
BuildRequires:      python3-six
%endif

%global _description\
doctest (and recently manuel) provide hooks for using custom doctest\
parsers.  `zc.customdoctests` helps to leverage this to support other\
languages, such as JavaScript::\
\
js> function double (x) { ...     return x*2; ... } js> double(2) 4\
\
And with manuel, it facilitates doctests that mix multiple languages,\
such as Python, JavaScript, and sh.

%description %_description

%package -n python2-zc-customdoctests
Summary: %summary
%{?python_provide:%python_provide python2-zc-customdoctests}

%description -n python2-zc-customdoctests %_description

%if 0%{?with_python3}
%package -n python3-zc-customdoctests
Summary:            Use doctest with other languages
Group:              Development/Libraries

%description -n python3-zc-customdoctests
doctest (and recently manuel) provide hooks for using custom doctest
parsers.  `zc.customdoctests` helps to leverage this to support other
languages, such as JavaScript::

js> function double (x) { ...     return x*2; ... } js> double(2) 4

And with manuel, it facilitates doctests that mix multiple languages,
such as Python, JavaScript, and sh.
%endif

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd
%endif
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%if 0%{?rhel}
# No tests on rhel
%else
%{__python} setup.py test
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif
%endif

%files -n python2-zc-customdoctests
%doc README.txt CHANGES.txt PKG-INFO
%{python_sitelib}/zc/customdoctests/
%{python_sitelib}/%{modname}-%{version}*

%if 0%{?with_python3}
%files -n python3-zc-customdoctests
%doc README.txt CHANGES.txt PKG-INFO
%{python3_sitelib}/zc/customdoctests/
%{python3_sitelib}/%{modname}-%{version}-*
%endif

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-13
- Python 2 binary package renamed to python2-zc-customdoctests
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.1-10
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 22 2013 Ralph Bean <rbean@redhat.com> - 1.0.1-2
- Removed tests on rhel: no python-manuel available.

* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 1.0.1-1
- Initial package for Fedora
